Endpoint Examples

/samples

Get a sample of individual profiles that match a set of filters. This endpoint requires additional permissions. Please contact your account manager to learn more or fill out our contact form here.

POST/samples

Query Parameters

NameTypeDescription
title_versionenum

Specify Job Title taxonomy version to use.
This parameter is optional.

Default: emsi Must be one of: emsi

company_versionenum

Specify company taxonomy version to use.
This parameter is optional.

Default: emsi_company

Must be one of: emsi_company

naics_versionenum

Specify NAICS taxonomy version to use.
This parameter is optional.

Default: naics_std_2017
Must be one of: naics_std_2017, naics_std_2022

cip_versionenumSpecify CIP taxonomy version to use.
This parameter is optional.
Default: cip2020
Must be one of: cip2010, cip2020
cip_standard_versionenum

Specify CIP standard taxonomy version to use.
This parameter is optional.

Default: 2020.0.0

Must be one of: 2010.0.1, 2020.0.0

new_taxonomy_versionsenum

Use new taxonomy versions.
This parameter is optional.

Must be one of: true, false

lot_versionenum

Specify LOT taxonomy version to use.
This parameter is optional.
Default: 7

Must be one of: 7, 6

Request Body

{
  "filter": {
    "last_updated": {
      "start": "2018",
      "end": "2024"
    }
  },
  "limit": 1,
  "offset": 0
}

Code Examples

curl --request POST \
  --url https://api.lightcast.io/ca-profiles/samples \
  --header 'Authorization: Bearer <ACCESS_TOKEN>' \
  --header 'Content-Type: application/json' \
  --data '{ "filter": { "last_updated": { "start": "2018", "end": "2024" } }, "limit": 1, "offset": 0 }'

Response Examples

{
  "data": {
    "profiles": 33,
    "samples": [
      {
        "acquired_timestamp": "1999-12-31",
        "cd": "3543",
        "cd_name": "Simcoe",
        "city": "QmFycmllLCBPTg==",
        "city_name": "Barrie, ON",
        "cma": "35568",
        "cma_name": "Barrie",
        "company": "19115657",
        "company_name": "Evertz",
        "country": null,
        "csd": "3543042",
        "csd_name": "Barrie",
        "educations": [
          {
            "field_raw": null,
            "grad_year": "2020-01",
            "level_name": null,
            "level_raw": null,
            "school_id": "53bff579e4b04710d09fa9a4",
            "school_name": "Georgian College",
            "school_raw": "georgian college"
          },
          {
            "field_raw": null,
            "grad_year": "2019-01",
            "level_name": null,
            "level_raw": null,
            "school_id": "53bff579e4b04710d09fa9a4",
            "school_name": "Georgian College",
            "school_raw": "georgian college, https://www.linkedin.com/school/georgiancollege/"
          },
          {
            "field_raw": null,
            "grad_year": "2017-01",
            "level_name": "Bachelor's Degree",
            "level_raw": "bachelors|bachelor of engineering",
            "school_id": "53bff579e4b04710d09f9654",
            "school_name": "Birla Institute of Technology & Science, Pilani (BITS Pilani)",
            "school_raw": "babaria institute of technology,varnama,vadodara 005"
          }
        ],
        "id": "4621385409851",
        "laa_admin_area_1": "CA35",
        "laa_admin_area_1_name": "Ontario",
        "laa_admin_area_2": "CA3543017",
        "laa_admin_area_2_name": "Innisfil",
        "laa_country": "CA",
        "laa_country_name": "Canada",
        "laa_metro": "CA35568",
        "laa_metro_name": "Barrie",
        "last_updated": "2024-07-22",
        "lot_career_area": "33",
        "lot_career_area_name": "Science and Research",
        "lot_occupation": "331312",
        "lot_occupation_group": "3313",
        "lot_occupation_group_name": "General Research",
        "lot_occupation_name": "Researcher / Research Associate",
        "lot_specialized_occupation": "33131215",
        "lot_specialized_occupation_name": "Research Associate (General)",
        "naics6": "541511",
        "naics6_name": "Custom Computer Programming Services",
        "noc5": "94205",
        "noc5_name": "Machine operators and inspectors, electrical apparatus manufacturing",
        "personal_info": {
          "emails": [],
          "employment_history": [
            {
              "company_name_raw": "evertz",
              "description": null,
              "job_end_ym": null,
              "job_start_ym": "2023-05",
              "title_raw": "test technician"
            },
            {
              "company_name_raw": "toronto hydro",
              "description": null,
              "job_end_ym": "2019-09",
              "job_start_ym": "2018-09",
              "title_raw": "power system services west"
            },
            {
              "company_name_raw": "toronto hydro",
              "description": null,
              "job_end_ym": "2019-05",
              "job_start_ym": "2018-09",
              "title_raw": "clerical student"
            }
          ],
          "job_description": null,
          "name": "65fe2555 4b48c39d",
          "first_name": "65fe2555",
          "last_name": "4b48c39d",
          "names": [
            "65fe2555 4b48c39d"
          ],
          "phones": [],
          "profile_urls": [
            "http://d77f75fc",
            "http://e71be640"
          ],
          "title_raw": "test technician"
        },
        "province": "35",
        "province_name": "Ontario",
        "skills": [
          "KS440MC61Q7HPDQR5YHT",
          "KS127Z65Y2BBKJZ3W2HL",
          "KS1200365FTR9X0M96T9",
          "KS127ZG6DBSF76WF7VYX",
          "KS121YX5XHV5QPYV2TXL",
          "KS1200H6XYN1CR0G5NZ0",
          "KS1261G6FLXL70JW7G42",
          "KS441626TDSV2J6GBB86"
        ],
        "skills_name": [
          "Situational Leadership Theory",
          "Electric Power Systems",
          "Microsoft Word",
          "Microsoft PowerPoint",
          "Clerical Works",
          "Microsoft Excel",
          "MATLAB",
          "Tableau (Business Intelligence Software)"
        ],
        "title": "ETCCFF59C12964DA3C",
        "title_name": "Test Technicians",
        "title_raw": "test technician"
      }
    ]
  }
}
// Your request wasn't valid (bad parameter names or values).

{
  "errors": [
    {
      "status": 400,
      "title": "Malformed Request",
      "detail": "Expected array"
    }
  ]
}
// You don't have access to sample profiles.

{
  "errors": [
    {
      "status": 403,
      "title": "Forbidden",
      "detail": "You don't have access to sample profiles."
    }
  ]
}
// Your request wasn't valid (bad keyword expression).

{
  "errors": [
    {
      "status": 422,
      "title": "Invalid request content",
      "detail": "Invalid keyword search expression syntax:\n\t\"general merchandise\" OR \"apparel\" OR \"grocery\" OR\n\t                                                  ^"
    }
  ]
}